---
title: "List api key"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › api-keys

`GET /v2/api-keys`

## Query parameters

- `limit` (`api-key-list.query.limit`; number, optional)
  - min 1; max 100; default `20`
- `offset` (`api-key-list.query.offset`; number, optional)
  - min 0; default `0`
- `includeInactive` (`api-key-list.query.includeInactive`; boolean, optional)
  - default `false`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/api-keys
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/api-keys';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/api-keys"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "prefix": "string",
      "lastUsedAt": "2019-08-24T14:15:22Z",
      "expiresAt": "2019-08-24T14:15:22Z",
      "permissions": [
        "read"
      ],
      "capabilities": [],
      "rateLimit": 0,
      "usageCount": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "status": "string"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`api-key-list.response.200.data`; array<object>, required)
  - `id` (`api-key-list.response.200.data.id`; string, required)
    - minLength 1
  - `name` (`api-key-list.response.200.data.name`; string, required)
  - `prefix` (`api-key-list.response.200.data.prefix`; string, required)
  - `permissions` (`api-key-list.response.200.data.permissions`; array<string>, required)
    - one of `"read"`, `"write"`, `"admin"`
  - `usageCount` (`api-key-list.response.200.data.usageCount`; number, required)
    - min 0
  - `createdAt` (`api-key-list.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `status` (`api-key-list.response.200.data.status`; string, required)
  - `description` (`api-key-list.response.200.data.description`; string, optional, nullable)
  - `lastUsedAt` (`api-key-list.response.200.data.lastUsedAt`; string, optional, nullable)
    - format `date-time`
  - `expiresAt` (`api-key-list.response.200.data.expiresAt`; string, optional, nullable)
    - format `date-time`
  - `capabilities` (`api-key-list.response.200.data.capabilities`; array<string>, optional)
    - one of `"entities.ingest"`, `"entities.enrich"`, `"entities.profile.read"`, `"entities.profile.propose"`, `"entities.profile.review"`, `"entities.identity.resolve"`, `"portfolio.links.read"`, `"portfolio.links.review"`, `"entities.publish"`, `"prospecting.observations.submit"`, `"prospecting.observations.read"`, `"prospecting.contacts.read"`, `"prospecting.drafts.write"`, `"attestations.events.submit"`, `"attestations.sow.submit"`, `"attestations.nda.submit"`, `"attestations.documents.sign"`, `"attestations.links.propose"`, `"admin.mcp"`; default `[]`
  - `rateLimit` (`api-key-list.response.200.data.rateLimit`; number, optional, nullable)
- `meta` (`api-key-list.response.200.meta`; object, required)
  - `total` (`api-key-list.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`api-key-list.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`api-key-list.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`api-key-list.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`api-key-list.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`api-key-list.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`api-key-list.response.400.error`; object, required)
  - `code` (`api-key-list.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`api-key-list.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`api-key-list.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`api-key-list.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`api-key-list.response.401.error`; object, required)
  - `code` (`api-key-list.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`api-key-list.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`api-key-list.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`api-key-list.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`api-key-list.response.403.error`; object, required)
  - `code` (`api-key-list.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`api-key-list.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`api-key-list.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`api-key-list.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`api-key-list.response.404.error`; object, required)
  - `code` (`api-key-list.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`api-key-list.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`api-key-list.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`api-key-list.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`api-key-list.response.409.error`; object, required)
  - `code` (`api-key-list.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`api-key-list.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`api-key-list.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`api-key-list.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`api-key-list.response.500.error`; object, required)
  - `code` (`api-key-list.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`api-key-list.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`api-key-list.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`api-key-list.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/api-keys/list/index.md
